---
- name: install docker
  hosts: webserver
  become: yes
  become_user: root
  roles:
    - install_docker

- name: Start docker daemon
  hosts: webserver
  become: true
  roles:
    - start_docker

- name: Add user to docker group
  hosts: webserver
  become: true
  vars:
    user_name: "vagrant"
    group_names: "docker"
  roles:
    - add_user_to_groups

- name: Start docker containers
  hosts: webserver
  vars:
    project_src: "/home/{{ user_name }}"
  vars_files:
    - project_vars
  roles:
    - start_containers

